# In Module 201, you will learn with examples.

If [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript), [TypeScript](https://www.typescriptlang.org/), or [React](https://react.dev/) are brand new to you, then you will encounter a lot of new ideas in this module.

If you have experience with React, this module will help you get started quickly with integrating Cardano in an application.

Each example is designed to help you build your background knowledge of how to integrate Cardano into an app. Each example introduces some important concepts of React and/or Cardano development. Suggestions for further exploration are provided.

<br />
---

## JavaScript Development Environment = Node.js
You will need to set up a JavaScript development environment called [Node.js](https://nodejs.dev/en/).  We'll cover the essential steps in [Lesson 201.1](/modules/201/2011).

<br />
---

## Examples at Live Coding
Then, in Lessons 201.2 through 201.5, you will learn with examples. You will see how [Components](https://react.dev/learn/your-first-component) work, and you will see how to query the Cardano blockchain for live data. At Live Coding, we will take a close look at each of these examples.

<br />
---

## Why TypeScript
In all of our front-end examples, we will use TypeScript. Read about it here: ["TypeScript is JavaScript with syntax for types."](https://www.typescriptlang.org/)

We use TypeScript for two reasons:
1. Like Haskell, TypeScript is a strongly-typed programming lanaguage. Thinking about application design across languages becomes a lot easier when we have clearly-defined types.
2. In this course, we are using tools like [Mesh.js](https://meshjs.dev/) and [plu-ts](), which are written in TypeScript.

We will see the benefits of using types as we build.

<br />
---

## JavaScript, TypeScript, and React: Lots of Ways to Learn
The good news is that these are well-documented, popular languages. You can see for yourself by searching the web for tutorials. Here are some official links for getting started:

- [React Documentation](https://react.dev/learn)
- [Learn React with Community Courses](https://ja.reactjs.org/community/courses.html)
- [TypeScript Handbook](https://www.typescriptlang.org/docs/handbook/intro.html)

If you ask an AI assistant how to accomplish something in JavaScript, TypeScript, or React, it is likely you will get a good answer, because there are ample examples of all three for chat models to train on.


<br />
---

## Concepts
The lessons in this module will provide anyone with a high-level overview of how React and Mesh work, and will set the stage for deeper explorations. If all of this is new to you, we hope you will take a look: just to get the ideas. And if you are looking to go deeper, we hope that these lessons serve as a launchpad.

Let's get to it.


import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;